blockquote {
    background: #f9f9f9;
    border-left: 10px solid #ccc;
    margin: 1.5em 10px;
    padding: 0.5em 10px;
    quotes: "\201C" "\201D" "\2018" "\2019";
}

blockquote:before {
    color: #ccc;
    content: open-quote;
    font-size: 4em;
    line-height: 0.1em;
    margin-right: 0.05em;
    vertical-align: -0.4em;
}

blockquote:after {
    color: #ccc;
    content: close-quote;
    font-size: 4em;
    line-height: 0.1em;
    margin-left: 0.05em;
    vertical-align: -0.4em;
}

blockquote p {
    display: inline;
}

blockquote+cite {
    margin-top: -24px;
    display: flex;
    justify-content: flex-end;
}

blockquote+p:has(> cite) {
    margin-top: -24px;
    display: flex;
    justify-content: flex-end;
}